package com.farecompare.jboss7example.server.ejb;

import com.farecompare.jboss7example.server.api.LocationModuleAPI;
import com.farecompare.jboss7example.server.impl.LocationModule;

import javax.ejb.Remote;
import javax.ejb.Stateless;
import java.util.HashMap;
import java.util.Map;

/**
 * Created by IntelliJ IDEA.
 * User: graemewallace
 * Date: 5/8/12
 * Time: 1:37 PM
 * To change this template use File | Settings | File Templates.
 */
@Stateless
@Remote(LocationModuleAPI.class)
public class LocationModuleSessionBean implements LocationModuleAPI {

    private LocationModuleAPI _delegate;

    public LocationModuleSessionBean() {
        _delegate = new LocationModule();
    }

    public String getCityName(String cityCode) {
        return _delegate.getCityName(cityCode);
    }
}
