package com.farecompare.jboss7example.server.impl;

import com.farecompare.jboss7example.server.api.LocationModuleAPI;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by IntelliJ IDEA.
 * User: graemewallace
 * Date: 5/8/12
 * Time: 1:52 PM
 * To change this template use File | Settings | File Templates.
 */
public class LocationModule implements LocationModuleAPI {
    private Map<String, String> _cityMap;

    public LocationModule() {

        _cityMap = new HashMap<String, String>();

        _cityMap.put("DRO", "Durango (DRO), CO");
        _cityMap.put("NYC", "New York (NYC), NY");
        _cityMap.put("DFW", "Dallas-Fort Worth (DFW), TX");
        _cityMap.put("CHI", "Chicago (CHI), IL");
        _cityMap.put("WAS", "Washington D.C. (WAS), DC");
        _cityMap.put("SFO", "San Francisco (SFO), CA");
        _cityMap.put("DEN", "Denver (DEN), CO");
        _cityMap.put("PHX", "Phoenix (PHX), AZ");
        _cityMap.put("HOU", "Houston (HOU), TX");
        _cityMap.put("LAX", "Los Angeles (LAX), CA");
        _cityMap.put("SEA", "Seattle (SEA), WA");
        _cityMap.put("PDX", "Portland (PDX), OR");
        _cityMap.put("BOS", "Boston (BOS), MA");
        _cityMap.put("CLE", "Cleveland (CLE), OH");
        _cityMap.put("ATL", "Atlanta (ATL), GA");

    }

    public String getCityName(String cityCode) {
        return _cityMap.get(cityCode);
    }

}
